#!/bin/sh
# Pt-web/src/app-root/scripts/PortDiag/enactBRP.sh
# 
#  Copyright: ©2012, Güralp Systems Ltd.
#  Author: Laurence Withers <lwithers@guralp.com>
#  License: GPLv3
#
#  Arguments:
#   $1: port name (e.g. "PortA")
#   $2: new baud rate

logger -t "enactBRP.sh" "Starting up"

PORT_NAME="$1"
BAUD="$2"

CFFILE="/etc/conf.d/serial/${PORT_NAME}.cf"

svc "${PORT_NAME}" stop

logger -t "enactBRP.sh" "Modifying ${CFFILE}"

set -e

logger -t "enactBRP.sh" "Setting baud to ${BAUD}"
gcs_rwvar gcs_set_varcf "baud" "${CFFILE}" "${BAUD}"
logger -t "enactBRP.sh" "Setting function"
gcs_rwvar gcs_set_varcf "function" "${CFFILE}" "GCF in"
logger -t "enactBRP.sh" "Starting port service (${PORT_NAME})"
svc "${PORT_NAME}" start
logger -t "enactBRP.sh" "Done"

# options for text editors:
# vim: expandtab:ts=4:sw=4
